using IntensityScans
using IntensityScans.ThorlabsLTStage
using IntensityScans.TcpInstruments
using IntensityScans.Unitful

using Test
using TestSetExtensions

include("emulate_scan.jl")

@testset ExtendedTestSet "IntensityScans.jl" begin
    include("test_scans.jl")
    include("test_metrics.jl")
    include("test_plotting.jl")
    include("test_loading_scans.jl")
end
