using Pkg; Pkg.activate("."); using Revise;
using Plots; using IntensityScans; using IntensityScans.ThorlabsLTStage; using IntensityScans.TcpInstruments; using IntensityScans.Unitful; 

params = ScanParameters(
    medium = Medium(),
    excitation = Excitation(),
    f0 = 15e6,
    hydrophone_id = :Onda_HGL0200_2322,
    preamp_id = :Onda_AH2020_1238_20dB,
)

info_xy = load("native_vsx_subaperature_focusing.jld2")
info_xy = compute_metrics(info_xy, params)
